from django.urls import path
from django.contrib.auth import views as auth_views
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('set-language/<str:lang_code>/', views.set_language, name='set_language'),
    path('subject/<int:pk>/', views.subject_detail, name='subject_detail'),
    path('ajax/get-subjects-by-level/', views.get_subjects_by_level, name='get_subjects_by_level'),
    path('ajax/get-cities-by-governorate/', views.get_cities_by_governorate, name='get_cities_by_governorate'),
    path('register/', views.register_student, name='register_student'),
    path('login/', auth_views.LoginView.as_view(template_name='core/login.html'), name='login'),
    path('verify-otp/', views.verify_otp, name='verify_otp'),
    path('ajax/get-classroom-subjects/', views.get_classroom_subjects, name='get_classroom_subjects'),
    path('profile/', views.profile, name='profile'),
    path('logout/', views.custom_logout, name='logout'),
    path('subscribe/<int:subject_id>/', views.subscribe_subject, name='subscribe_subject'),
    path('payment/success/', views.payment_success, name='payment_success'),
    path('payment/cancel/', views.payment_cancel, name='payment_cancel'),
]